//--------------------------------------------------------------
// File     : main.c
// Datum    : 19.04.2014
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : XMC1100-0064 (XMC2GO)
// IDE      : KEIL uVision 5.10
// ARMCC    : 5.04
// Module   : XMC2GO_SYSTEM, XMC2GO_LED
// Funktion : Hauptprogramm
//--------------------------------------------------------------

#include "main.h"
#include "ub_lib/xmc2go_ub_system.h"
#include "ub_lib/xmc2go_ub_led.h"

int main(void)
{
  // Sysinit vom XMC2GO
	XMC2GO_System_Init();
	
	// Systic starten
	XMC2GO_Systic_Start();
	
	// init der LEDs
	XMC2GO_Led_Init();
	
	XMC2GO_Led_On(LED1);

  while(1)
  {
		XMC2GO_Systic_Pause_ms(500);
    XMC2GO_Led_Toggle(LED2);
  }
}
